package ch.hslu.appe.usermanagement.exception;

/**
 * UserManagement Exception.
 */
public class UserManagementException extends Exception {

    private static final long serialVersionUID = 1L;

    /**
     * Constructor.
     */
    public UserManagementException() {
        super();
    }

    /**
     * UserManagement Exception.
     * @param message exception message
     */
    public UserManagementException(final String message) {
        super(message);
    }

    /**
     * UserManagement Exception.
     * @param message exception message
     * @param cause inner cause
     */
    public UserManagementException(final String message, final Throwable cause) {
        super(message, cause);
    }
}
